## net.sf.saxon.expr
Class UserFunctionCall.FunctionCallPackage

    java.lang.Object
      |
      +--net.sf.saxon.value.Value
            |
            +--net.sf.saxon.value.AtomicValue
                  |
                  +--net.sf.saxon.value.ObjectValue
                        |
                        +--net.sf.saxon.expr.UserFunctionCall.FunctionCallPackage

All Implemented Interfaces:
  Expression, Item, java.io.Serializable

Enclosing class:
  UserFunctionCall

public class UserFunctionCall.FunctionCallPackage
extends ObjectValue

Inner class used to wrap up the set of actual arguments to a tail-recursive call of the containing function. This argument package is passed back to the calling code in place of a function result; the caller then loops to re-invoke the function with these arguments, avoiding the creation of an additional stack frame.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`UserFunctionCall.FunctionCallPackage(UserFunction function, Value[] actualArgs, XPathContext c)`

Method Summary
`Value` `appendTo(SequenceReceiver out)`
`Value` `call()`

Methods inherited from class net.sf.saxon.value.ObjectValue
`convert, convertToJava, equals, getItemType, getObject, getStringValue, hashCode, setValue`

Methods inherited from class net.sf.saxon.value.AtomicValue
`convert, display, effectiveBooleanValue, evaluateAsString, evaluateItem, getCardinality, getComponent, getImplementationMethod, getPrimitiveValue, getTypedValue, iterate, process, toString`

Methods inherited from class net.sf.saxon.value.Value
`analyze, asItem, asValue, collapseWhitespace, convertJavaObjectToXPath, getDependencies, getParentExpression, getSpecialProperties, inverse, iterateSubExpressions, normalizeWhitespace, promote, simplify, stringToNumber, trimWhitespace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserFunctionCall.FunctionCallPackage

    public UserFunctionCall.FunctionCallPackage(UserFunction function,
                                                Value[] actualArgs,
                                                XPathContext c)

Method Detail

### call

    public Value call()
               throws XPathException

    `XPathException`

### appendTo

    public Value appendTo(SequenceReceiver out)
                   throws XPathException

    `XPathException`